View Issue Details

IDProjectCategoryView StatusLast Update
0015839LazarusWidgetsetpublic2011-12-01 11:23
ReporterHandokoAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28.2Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0015839: Cannot setfocus on TDBRadioGroup
DescriptionThis code doesn't work:

DBRadioGroup1.SetFocus;

Put a Button and a DBRadioGroup. In the Button.OnClick put the code above, then set all necessary data for the DBRadioGroup.

The DBRadioGroup still can receive focus by using keyboard or mouse, but not by using coding.

Please help me solve this problem. I need to use DBRadioGroup.SetFocus.
Thanks.
TagsNo tags attached.
Fixed in Revision25159
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

Paul Ishenin

2010-05-04 04:06

manager   ~0037218

I added TabStop property to TDBRadioGroup. Set it to True if you need to focus this control.

Please test and close if ok.

Issue History

Date Modified Username Field Change
2010-02-23 20:52 Handoko New Issue
2010-02-23 20:52 Handoko Widgetset => Win32/Win64
2010-03-12 14:58 Vincent Snijders LazTarget => 1.0
2010-03-12 14:58 Vincent Snijders Status new => acknowledged
2010-03-12 14:58 Vincent Snijders Target Version => 1.0.0
2010-05-04 04:06 Paul Ishenin Fixed in Revision => 25159
2010-05-04 04:06 Paul Ishenin Status acknowledged => resolved
2010-05-04 04:06 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-05-04 04:06 Paul Ishenin Resolution open => fixed
2010-05-04 04:06 Paul Ishenin Assigned To => Paul Ishenin
2010-05-04 04:06 Paul Ishenin Note Added: 0037218
2011-12-01 11:23 Marc Weustink Status resolved => closed